chain_name: "Crow DPO Chain"
description: "A Crow DPO Chain"

# Global settings
settings:
  base_dir: "/home/tony/Work/tony/slurm/crow"
  log_dir: "/home/tony/slurm/logs"
  
  # SLURM defaults - no partition specified
  slurm_defaults:
    time: "48:00:00"
    ntasks_per_node: 8
    cpus_per_task: 4
    gpus_per_node: 8

# Job definitions
jobs:
  # - name: "round_1"
  #   script: "run_ipo_crow_auk_dpo_r1.sh"
  #   nodes: 2
  #   model_cache_loss_name: "6b_crow_t24_2025-08-28_01-30-09"
  #   wandb_run_name: "crow_t24_auk_dpo_r1"
  
  - name: "round_2"
    script: "run_ipo_crow_auk_dpo_r2.sh"
    nodes: 16
    model_cache_loss_name: "crow_t24_auk_dpo_r1"
    wandb_run_name: "crow_t24_auk_dpo_r2"
  
  - name: "round_3"
    script: "run_ipo_crow_auk_dpo_r3.sh"
    nodes: 16
    model_cache_loss_name: "crow_t24_auk_dpo_r2"
    wandb_run_name: "crow_t24_auk_dpo_r3"
    
  - name: "round_4"
    script: "run_ipo_crow_bluejay_dpo_r4.sh"
    nodes: 16
    model_cache_loss_name: "crow_t24_auk_dpo_r3"
    wandb_run_name: "crow_t24_bjay_dpo_r4"
  
  - name: "round_5"
    script: "run_ipo_crow_bluejay_dpo_r5.sh"
    nodes: 16
    model_cache_loss_name: "crow_t24_bjay_dpo_r4"
    wandb_run_name: "crow_t24_bjay_dpo_r5"
  
  - name: "round_6"
    script: "run_ipo_crow_bluejay_dpo_r6.sh"
    nodes: 16
    model_cache_loss_name: "crow_t24_bjay_dpo_r5"
    wandb_run_name: "crow_t24_bjay_dpo_r6"